package com.zd.chemical.domain.vo;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.hibernate.validator.constraints.Length;

/**
 * 化学品设备管理对象 hxp_smart_terminal
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel(" 化学品设备管理")
public class HxpSmartTerminalSearch {
    private static final long serialVersionUID = 1L;

    /**
     * 关键字搜索
     */
    @ApiModelProperty(value = "关键字搜索")
    private String  searchValue;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "使用状态")
    private Integer terminalStatus;

    private Integer terminalType;

    @ApiModelProperty(value = "状态（1 开启，0 关闭）")
    private Integer status;

    @ApiModelProperty(value = "设备编号")
    private String terminalNum;

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Integer getTerminalStatus() {
        return terminalStatus;
    }

    public void setTerminalStatus(Integer terminalStatus) {
        this.terminalStatus = terminalStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getTerminalType() {
        return terminalType;
    }

    public void setTerminalType(Integer terminalType) {
        this.terminalType = terminalType;
    }

    public String getTerminalNum() {
        return terminalNum;
    }

    public void setTerminalNum(String terminalNum) {
        this.terminalNum = terminalNum;
    }
}
